/*
///////////////////////////////////////////////////////////////////////////////////////////////////
//shnQ@kdcvO
//	FileName	LED.c
//	Version		1.00
//	MCU		H8/3694
//	Work		
//-------------------------------------------------------------------------------------------------
//
//	2007/04/19	Ver1.00
//-------------------------------------------------------------------------------------------------
*/

/*

̃\tgEFA̓t[EFAłB

̃\tgEFAɊւ鎿ɂ܂ẮA
T|[g̑ΏۊOƂȂ܂B

쌠͍쐬ł()kldqL̂Ƃ܂B

̃\tgEFAgpƂɂSĂ̑QɂāA
쐬͈؂̐ӔC𕉂Ȃ̂Ƃ܂B

̃\tgEFÄꕔ܂͑SĂ𖳒fœ]ڂ邱Ƃ
֎~܂BGȂǂ֏ЉE^̏ꍇ͘A肢v
܂B

@Copyright (C) Hokuto denshi Co,Ltd. 2007

*/


/*
/////////////////////////////////////////////////////////////////////////////////////////
//CN[ht@C錾
*/
/* }CRCu */
#include <machine.h>

/* WbCu */

/* IWi */
#include "3694S.h"
#include "Main.h"
#include "LED.h"


/*
/////////////////////////////////////////////////////////////////////////////////////////
//萔錾
*/


/*
/////////////////////////////////////////////////////////////////////////////////////////
//^錾
*/


/*
/////////////////////////////////////////////////////////////////////////////////////////
//ϐ錾
*/


/*
/////////////////////////////////////////////////////////////////////////////////////////
//}N錾
*/
#define MAC_LED1(x)	IO.PDR5.BIT.B4 = ( x == DEF_LED_LEVEL_LOW ? DEF_LED_LEVEL_HIGH : DEF_LED_LEVEL_LOW )
#define MAC_LED2(x)	IO.PDR5.BIT.B5 = ( x == DEF_LED_LEVEL_LOW ? DEF_LED_LEVEL_HIGH : DEF_LED_LEVEL_LOW )
#define MAC_LED3(x)	IO.PDR8.BIT.B0 = ( x == DEF_LED_LEVEL_LOW ? DEF_LED_LEVEL_HIGH : DEF_LED_LEVEL_LOW )
#define MAC_LED4(x)	IO.PDR7.BIT.B6 = ( x == DEF_LED_LEVEL_LOW ? DEF_LED_LEVEL_HIGH : DEF_LED_LEVEL_LOW )



/*
/////////////////////////////////////////////////////////////////////////////////////////
//֐vg^Cv錾
*/
int Init_LED ( void );
void Set_LED ( const unsigned char Number, const unsigned char Level );


/*
/////////////////////////////////////////////////////////////////////////////////////////
//֐vg^Cv錾
*/


/*
///////////////////////////////////////////////////////////////////////////////
//Init_LED
//Ekdc
//-----------------------------------------------------------------------------
//return int
//	NOERROR			: 
//	ERROR_FATAL		: G[
//-----------------------------------------------------------------------------
//param
//-----------------------------------------------------------------------------
*/
int Init_LED ( void )
{
	/* kdcp|[g */
	/* kdcPkdcQ */
	IO.PMR5.BYTE &= ~0x30;
	IO.PCR5 |= 0x30;
	
	
	/* kdcR */
	IO.PCR8 |= 0x01;
	
	
	/* kdcS */
	TV.TCSRV.BIT.OS = 0;
	IO.PCR7 |= 0x40;
	
	
	/* I */
	return NOERROR;
}


/*
///////////////////////////////////////////////////////////////////////////////
//Set_LED
//EkdcZbg
//-----------------------------------------------------------------------------
//return
//-----------------------------------------------------------------------------
//param In	Number		: kdcԍ
//param In	Level		: _E
//-----------------------------------------------------------------------------
*/
void Set_LED ( const unsigned char Number, const unsigned char Level )
{
	/* kdc_f */
	if ( Number == DEF_LED_NUMBER_ALL)
	{/* SĂ̂kdc */
		MAC_LED1 ( Level );
		MAC_LED2 ( Level );
		MAC_LED3 ( Level );
		MAC_LED4 ( Level );
	}
	if ( (Number & DEF_LED_NUMBER_1) == DEF_LED_NUMBER_1 )
	{/* kdcP */
		MAC_LED1 ( Level );
	}
	if ( (Number & DEF_LED_NUMBER_2) == DEF_LED_NUMBER_2 )
	{/* kdcQ */
		MAC_LED2 ( Level );
	}
	if ( (Number & DEF_LED_NUMBER_3) == DEF_LED_NUMBER_3 )
	{/* kdcR */
		MAC_LED3 ( Level );
	}
	if ( (Number & DEF_LED_NUMBER_4) == DEF_LED_NUMBER_4 )
	{/* kdcS */
		MAC_LED4 ( Level );
	}
}
